.\" ====================================================================
.\"  @Troff-man-file{
.\"     author          = "Nelson H. F. Beebe",
.\"     version         = "3.00",
.\"     date            = "11 January 2001",
.\"     time            = "09:50:20 MST",
.\"     filename        = "print-ps-twoside.man",
.\"     address         = "Center for Scientific Computing
.\"                        University of Utah
.\"                        Department of Mathematics, 105 JWB
.\"                        155 S 1400 E RM 233
.\"                        Salt Lake City, UT 84112-0090
.\"                        USA",
.\"     telephone       = "+1 801 581 5254",
.\"     FAX             = "+1 801 581 4148",
.\"     URL             = "http://www.math.utah.edu/~beebe",
.\"     checksum        = "24440 215 900 6282",
.\"     email           = "beebe@math.utah.edu (Internet)",
.\"     codetable       = "ISO/ASCII",
.\"     keywords        = "duplex printing, PostScript, simplex printing",
.\"     supported       = "yes",
.\"     docstring       = "This file is the UNIX manual page
.\"                        documentation for print-ps-oneside and
.\"                        print-ps-twoside.
.\"
.\"                        The checksum field above contains a CRC-16
.\"                        checksum as the first value, followed by the
.\"                        equivalent of the standard UNIX wc (word
.\"                        count) utility output of lines, words, and
.\"                        characters.  This is produced by Robert
.\"                        Solovay's checksum utility.",
.\"  }
.\" ====================================================================
.TH PRINT-PS-TWOSIDE 1 "11 January 2001" "Version 3.00"
.\"===============================================
.if t .ds Ps P\s-2OST\s+2S\s-2CRIPT\s+2
.if n .ds Ps PostScript
.\"
.if t .ds Te T\\h'-0.1667m'\\v'0.20v'E\\v'-0.20v'\\h'-0.125m'X
.if n .ds Te TeX
.\"===============================================
.SH NAME
.nf
print-ps-oneside \- simplex printing of PostScript files
print-ps-twoside \- duplex printing of PostScript files
.br
print-ps-transparency \- printing of PostScript files on transparencies
.fi
.\"===============================================
.SH SYNOPSIS
.B print-ps-oneside
[
.BI \-P " printername"
]
[
.BI \-# " copies"
]
.if n .ti +9n
[
.BI \-r " resolution-in-dpi"
]
.if n .ti +9n
.IR "<infile" " or " " file1 file2 file3 .\|.\|."
.PP
.B print-ps-twoside
[
.BI \-P " printername"
]
[
.BI \-# " copies"
]
.if n .ti +9n
[
.BI \-r " resolution-in-dpi"
]
.if n .ti +9n
.IR "<infile" " or " " file1 file2 file3 .\|.\|."
.PP
.B print-ps-transparency
[
.BI \-P " printername"
]
[
.BI \-# " copies"
]
.if n .ti +9n
[
.BI \-r " resolution-in-dpi"
]
.if n .ti +9n
.IR "<infile" " or " " file1 file2 file3 .\|.\|."
.PP
The files to be printed must be \*(Ps\&, or one of
these graphics, image, or typesetting file types:
.IR GIF ,
.IR JPEG ,
.IR PNG ,
.IR "Sun raster" ,
.IR Tektronix ,
.IR "\*(Te\& DVI" ,
or
.IR x79 .
Option values may suffix the option switch, or be
given as the next word on the command line.
.\"===============================================
.SH DESCRIPTION
If the printer defined by the
.B -P
command-line option, or the default printer set by
the
.B PRINTER
environment variable, is capable of duplex
(two-sided) printing, then
.B print-ps-twoside
will select it.  Otherwise, it will issue a
warning and print in simplex (one-sided) mode.
.B print-ps-oneside
selects simplex mode.  In either case, the job
header page will be printed on a separate sheet of
paper.  Some duplex printers may otherwise be
configured to print the first page of the file on
the back of the job header page.
.PP
.B print-ps-transparency
selects a paper tray that has been standardized to
contain transparency material.  This tray may be
the same as the letterhead tray on some printers;
it is then the user's responsibility to remove any
unused expensive transparencies, leaving
letterhead paper in place.
.PP
.B print-ps-transparency
always suppresses duplex printing.
.PP
Each printer capable of handling letterhead or
transparency media should have a sign prominently
posted near the printer, with a brief statement of
what media are expected in each of the paper
trays.
.PP
The
.BI \-# " copies"
option requests that multiple copies of the job be
printed. The printer spooler will reprint the job
the specified number of times, downloading it to
the printer each time.
.PP
The
.B \-r
resolution value will normally be 300, 600, or
1200 (dots/inch).  Some laser printers that
support multiple resolutions may print much faster
at lower resolution values.
.PP
For \*(Te\& DVI files, the resolution is used to
determine a suitable set of bitmapped fonts.
Otherwise, the DVI driver's default resolution
(often 600dpi) will be used.
.PP
If the leading signature bytes of a non-\*(Ps\&
file are recognized, then suitable filters are
invoked to convert it to \*(Ps\& in a temporary
file.
.IR NB :
You may have more control over the filter by
running it separately with additional command-line
options.
.PP
After the filtering step, the file is checked for
the standard \*(Ps\& leading signature bytes
\&``%!'', and rejected with a warning if they are
not found.  In particular, both ordinary text
files, and random binary files, will be rejected.
For the former, use
.BR lptops (1)
to convert them to \*(Ps\&, possibly as a filter
piped into
.B print-ps-oneside
or
.BR print-ps-twoside .
.\"===============================================
.SH SEE ALSO
.BR djpeg (1),
.BR dvialw (1),
.BR giftopnm (1),
.BR lpq (1),
.BR lpr (1),
.BR lptops (1),
.BR plot79 (1),
.BR pngtopnm (1),
.BR pnmtops (1),
.BR rasttopnm (1),
.BR tekalw (1),
.BR tifftopnm (1),
.BR x79ps (1).
.\"===============================================
.SH AUTHOR
.nf
Nelson H. F. Beebe
Center for Scientific Computing
University of Utah
Department of Mathematics, 105 JWB
155 S 1400 E RM 233
Salt Lake City, UT 84112-0090
USA
Tel: +1 801 581 5254
FAX: +1 801 581 4148
Email: beebe@math.utah.edu, beebe@acm.org, beebe@ieee.org
URL: http://www.math.utah.edu/~beebe
.fi
.\"===============================================
.\" This is for GNU Emacs file-specific customization:
.\" Local Variables:
.\" fill-column: 50
.\" End:
